# Class CIM_Network
extends CIM_AdminDomain

Network is a subclass of AdminDomain that groups interconnected networking and computing objects capable of exchanging information. Instances of CIM_Network can represent an enterprise's global network or specific connectivity domains within the global network. These concepts are similar to those defined for the Network object in ITU's M.3100 specification.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_System
|
+--CIM_AdminDomain
|
+--CIM_Network

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Network is a subclass of AdminDomain that groups interconnected networking and computing objects capable of exchanging information. Instances of CIM_Network can represent an enterprise's global network or specific connectivity domains within the global network. These concepts are similar to those defined for the Network object in ITU's M.3100 specification.
MappingStrings | string | Recommendation.ITU|M3100.Network
UMLPackagePath | string | CIM::Network::Systems
Version | string | 2.39.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherTypeDescription | string |
Description | string | A string that describes the type of the network when the Type[] property contains value 1 ("Other"). This property shall be set to null when Type[] property does not contain value 1 ("Other").
ModelCorrespondence | string | CIM_Network.Type
Type | uint16[] |
Description | string | This property describes the type of the network.
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
Values | string | Other, Local Area Network (LAN), Wireless Local Area Network (WLAN), Wide Area Network (WAN), Metropolitan Area Network (MAN), Storage Area Network (SAN), Virtual Local Area Network (VLAN), Ethernet Network, IP Network, IPv4 Network, IPv6 Network, Overlay Network

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_System
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_System
NameFormat | string | CIM_AdminDomain
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_System
PrimaryOwnerName | string | CIM_System
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_System
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_System
Roles | string[] | CIM_System
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement